/**
 * Copyright (c) 2020 Nectar Inc
 * All_Rights_Reserved.
 * 
 */

#ifndef NECTAR_SKYY_H
#define NECTAR_SKYY_H

#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "nectar_skyy_version.h"

//there is one uart being used.. and hence either nrf log or our own uart based i/o but not both.
//do not initialize both modules since both will then try to initialize uart peripheral and then access and it will be ugly crash
#define NECTAR_UART_ONLY 0

//should always be set to 1 in actual device. this can be set to 0 on NRFDK build when RTC board is not connected
#define NECTAR_RTC_PRESENT 0
#define NECTAR_EEPROM_PRESENT 0
#define NECTAR_ACCEL_PRESENT 1

// Enable debug for nectar envelope saadc
#define NECTAR_ENVADC_DEBUG 1


//set the one you would like to use and clear the other one
#define ACCEL_LIS2DH12 1
//#define ACCEL_LIS2DW12 0 // Not available right now

//accel interrupt pins
#define LIS_INT1_PIN (28)
#define LIS_INT2_PIN (4)

//TWI pins
#define NECTAR_SCL_PIN NRF_GPIO_PIN_MAP(1, 14)
#define NECTAR_SDA_PIN NRF_GPIO_PIN_MAP(1, 15)
//RTC int pin
#define RTC_INT_PIN NRF_GPIO_PIN_MAP(1, 13)

extern volatile bool lis2dh12_accel_intr1_wakeup;
extern volatile bool lis2dh12_accel_intr2_wakeup;


//deciding ADC usage  - with 8 bit resolution vs 10-bit
#define NECTAR_8_BIT_ADC 0 

//approximately 200 samples per millisecond
#define NECTAR_ADC_SAMPLE_SIZE (200)

//system wide global state variables
//accel interrupt indicators
extern volatile bool lis2dh12_accel_intr1;
extern volatile bool lis2dh12_accel_intr2;


#endif //NECTAR_SKYY_H